Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class MinimalAdministratorType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.MinimalAdministratorType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-04-05T05:09:39+02:00",
               comments="JAXB RI v2.3.6")
    public class MinimalAdministratorType

extends Object
implements Serializable

Java class for MinimalAdministratorType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MinimalAdministratorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="Location" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}LocationType" minOccurs="0"/>
               <element name="SpecialNotion" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}SpecialNotionType" minOccurs="0"/>
             </choice>
             <element name="InceptionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`MinimalAdministratorType()`

Method Summary
`org.joda.time.DateTime` | `getInceptionDate()` Gets the value of the inceptionDate property.
`LocationType` | `getLocation()` Gets the value of the location property.
`SpecialNotionType` | `getSpecialNotion()` Gets the value of the specialNotion property.
`void` | `setInceptionDate(org.joda.time.DateTime value)` Sets the value of the inceptionDate property.
`void` | `setLocation(LocationType value)` Sets the value of the location property.
`void` | `setSpecialNotion(SpecialNotionType value)` Sets the value of the specialNotion property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MinimalAdministratorType

    public MinimalAdministratorType()

Method Detail

### getSpecialNotion

    public SpecialNotionType getSpecialNotion()

  Gets the value of the specialNotion property.

  Returns:
    possible object is `SpecialNotionType`

### setSpecialNotion

    public void setSpecialNotion(SpecialNotionType value)

  Sets the value of the specialNotion property.

  Parameters:
    `value` - allowed object is `SpecialNotionType`

### getLocation

    public LocationType getLocation()

  Gets the value of the location property.

  Returns:
    possible object is `LocationType`

### setLocation

    public void setLocation(LocationType value)

  Sets the value of the location property.

  Parameters:
    `value` - allowed object is `LocationType`

### getInceptionDate

    public org.joda.time.DateTime getInceptionDate()

  Gets the value of the inceptionDate property.

  Returns:
    possible object is `String`

### setInceptionDate

    public void setInceptionDate(org.joda.time.DateTime value)

  Sets the value of the inceptionDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.26.1 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.